Get Calculation Settings
get
/applications/{applicationName}/databases/{databaseName}/settings/calculation
Returns calculation settings of the specified database.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Calculation settings retrieved successfully.
400 Response
Bad Request
Failed to get the calculation settings. The application or database name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to get calculation settings for a cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/databases/Basic/settings/calculation" -H "accept: application/json" -u %User%:%Password%Example of Response Body
{
"calculation": {
"aggregateMissingValues": false,
"createBlocksOnEquations": false,
"twoPassCalculation": false
}
}